@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600&display=swap');
@import url('./footer.css');
@import url('./sidebar.css');
@import url('./header.css');
@import url('./main.css');
* {
    margin: 0;
    padding: 0;
    outline:none;
    border: none;
    box-sizing: border-box;
    font-style: normal;
    user-select: none !important;
    -ms-user-select: none !important;
    -moz-user-select: none !important;
}
html {
    scroll-behavior: smooth;
    width: 100% !important;
    max-width: 100%;
    margin: 0;
    padding: 0;
}

:root {
    --white:#FFFFFF;
    --red:#e61601;
    --blue: #1c1475;
    --orange:#FFCC00;
    --light-white:#f0f0f0;
    --grey:	#696969;
    --light-grey:#E8E8E8;
    --black:#000000;
    --always-black:#000000;
    --green: #0f853c;
    --tag-color: #1c1475;
}


a {
    text-decoration: none;
    color: currentColor;
}

button {
    background-color: transparent;
}

.desktop-hide {
    display: none !important;
}

body {
    width: 100%;
    margin: 0;
    padding: 0;
    /* overflow-y: scroll; */
    overflow-x: hidden;
    height: 100%;
    font-family:'Poppins', sans-serif;
    background-color: var(--always-black);
    user-select: none !important;
    -ms-user-select: none !important;
    -moz-user-select: none !important;
}






.addthis_inline_share_toolbox {
    margin: 10px 0;
}

img {
    min-width: 100%;
}





main {
    width: 100%;
    height:auto;
    display: grid;
    grid-template-columns: 1fr ;
    gap: 20px;
    padding: 0 70px 10px;
    margin-top: 92px;
    background-color: var(--black);
    color: var(--white);
}

main section {
    width: 100%;
    padding-bottom: 10px;
    align-self: start;
    gap: 20px;
    color: var(--black);
}

section img {
    border-radius: 2px;
    background-color: var(--black);
    opacity: 1;
}

main .main-content-area {
    width: 100%;
    display: grid;
    grid-template-columns: 2fr 1fr;
    color: var(--white) !important;
}

.main-content-area .left-section {
    width: 100%;
    height: fit-content;
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 20px;
}



/* two square featured post  */
.top-left-featured {
    width: 100%;
    display: grid;
    grid-template-rows: 1fr 1fr;
    order: 1;
    gap: 20px;
    padding:0 0;
}

.top-left-featured .square-featured-box article{
    width: 100%;
    height: 100%;
    overflow: hidden;
    /* position: relative; */
    display: grid;
    grid-template-columns: 1fr;
    row-gap: 5px;
    color: var(--light-white);
}

article .category-label {
    background-color: var(--red);
    color: var(--white);
    width: fit-content;
    padding: 2px 5px;
    border-radius: 4px;
    font-size: 14px;
    top: 5px;
    left: 5px;
    position: absolute;
    z-index: 10;
    font-weight: 490;
}

.square-featured-box article .img-container {
    width: 100%;
    height: 152px;
    position: relative;
    overflow: hidden;
}

.img-container img {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
}



.featured-short-meta {
    width: 100%;
    /* text-transform: capitalize; */
}

.featured-short-meta strong {
    width: 100%;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    overflow: hidden;
    line-height: 1.3;
    font-weight: 450;
}

.featured-short-meta .published-date-difference {
    font-size: 12px;
    color: var(--light-white);
    text-transform: lowercase;
}








/* rectangle featured post  */
.top-right-featured {
    width: 100%;
    height: fit-content;
    display: grid;
    overflow: hidden;
    grid-template-rows: auto;
    order: 2;
}

.top-right-featured article {
    width: 100%;
}

.top-right-featured .img-container {
    width: 100%;
    height: 250px;
    display: grid;
    overflow: hidden;
    grid-row-start: 1;
    position: relative;
    text-transform: capitalize;
}

.top-right-featured .img-container img {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}


.top-right-featured img:hover {
    transform: scale(1.001);
}

.top-right-featured .featured-short-meta {
    width: 100%;
    margin-top: 5px;
}

.top-right-featured .title-large {
    font-size: 25px;
    line-height: 1.3 ;
    letter-spacing: .5px;
}

.top-right-featured .published-date-author {
    display: flex;
    align-items: center;
    font-size: 13px;
}

.published-date-author time {
    color: var(--light-white);
    margin-right: 10px;
    text-transform: lowercase;
}

.published-date-author .author-name {
    margin-left: 5px;
    font-size: 14px;
    color: var(--white);
}

.top-right-featured .featured-short-description {
    font-size: 14px;
    color: var(--light-grey);
    margin-top: 15px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    margin-bottom: 5px;
}

.top-right-featured .category-label {
    background-color: var(--red);
    color: var(--white);
    width: fit-content;
    padding: 2px 5px;
    border-radius: 4px;
    font-size: 14px;
    bottom: 10px;
    left: 10px;
    position: absolute;
    z-index: 20;
    font-weight: 500;
}

/* title hover colors  */
.title-green-hover:hover {
    color: var(--green);
}
.title-red-hover:hover {
    color: var(--red);
}
.title-orange-hover:hover {
    color: var(--orange);
}
.title-blue-hover:hover {
    color: var(--blue);
}



/* IMAGE CONTAINER  */
.img-container {
    background-color: var(--black);
}






/* MOST VIEWED BOOK / TOP RIGHT SIDE  */

.main-content-area .right-section {
    width: 100%;
    padding:10px 10px 0;
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
}

.main-content-area .category-books-listing {
    width: 100%;
    height: fit-content;
}

.right-section .category-header {
    color: var(--black);
}

.category-header {
    padding:0 7px ;
    border-left: 5px solid var(--blue);
    font-weight: 700;
    font-size: 25px;
    margin-bottom: 15px;
}

.five-single-category-names {
    width: 100%;
    height: fit-content !important;
    padding: 10px 0;
}

.five-single-category-names li {
    display: flex;
    align-items: center;
    list-style-position: inside;
    color: var(--blue);
    font-weight: 490;
    transform: skew(-10deg);
}

.five-single-category-names li a {
    color: var(--blue);
    padding:5px 15px 15px;
    border-bottom: 3px dotted var(--light-grey);
}

.five-single-category-names li a:hover {
    font-weight: 520;
    border-left: 5px solid var(--green);
    transform: skew(10deg);
}
.five-single-category-names li a:nth-of-type(even) a:hover{
    border-right: 5px solid var(--green);
}








section.ads-container {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr;
    height: 200px;
    background-color: var(--light-grey);
}

.ads-container , .ads-center{
    width: 100%;
    max-width: 100% !important;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: transparent !important;
    overflow: hidden;
}

.square-ads {
    background-color: var(--light-white);
}








main .random-books-section {
    width: 100%;
    display: grid;
    gap: 20px;
    grid-template-columns:  2fr 1fr;
    background-color: var(--white);
}



.random-books-section .left-section {
    padding: 20px;
    width: 100%;
    display: grid;
    grid-column: 1;
    row-gap: 15px;
    background-color: var(--white);
}

.random-books-section .left-section article{
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    gap: 20px;
    background-color: var(--white);
    padding-bottom: 15px;
    border-bottom: 2px solid var(--light-grey);
}

.random-books-section .left-section article:last-child{
    border-bottom: none;
}

.random-books-section .img-container {
    width: 230px;
    height: 130px;
    position: relative;
    overflow: hidden;
    border: 2px solid var(--white);
    outline: 3px solid var(--light-white);
}

.random-books-section .img-container img {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    right: 0;
}

.horizontal .column {
    width: calc(100% - 250px);
}
.random-books-section .horizontal .book-name {
    width: 100%;
    line-height: 1.2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-transform: capitalize;
    margin-bottom: 2px;
}

.random-books-section .book-stats {
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: 6px;
    font-size: 13px;
    color: var(--grey);
}

.random-books-section .book-stats .fa-calendar {
    margin-right: 5px;
}


.random-books-section .book-stats .book-views {
    margin-right: 10px;
}

.random-books-section .book-short-description {
    width: 100%;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    font-size: 14px;
    color: var(--grey);
}














.right-section .kcpe-past-papers-container {
    padding: 20px;
    width: 100%;
    display: grid;
    grid-template-rows: 1fr;
    row-gap: 30px;
    margin-bottom: 30px;
    overflow: hidden;
    background-color: var(--white);
    /* z-index: 2; */
}

.right-section .kcpe-past-papers-container {
    width: 100%;
    height: auto;
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 20px;
    padding-right: 20px;
}

.kcpe-past-papers-container .img-container {
    width: 100%;
    height: 100%;
    position: relative;
}

.kcpe-past-papers-container .img-container img {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    right: 0;
}

.kcpe-past-papers-container .horizontal .book-name {
    width: 100%;
    line-height: 1.2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-transform: capitalize;
    margin-bottom: 2px;
}










.right-section , .category-books-listing , .secondary-notes-container , .high-school-notes  {
    background-color: var(--white);
}



.high-school-notes {
    display: grid;
    grid-template-columns: 1fr;
    background-color: var(--white);
}















.sticky-header {
    top: 100px;
    position: -webkit-sticky;
    position: sticky !important;
}

.secondary-notes-container .notes-container {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    gap: 20px;
}

.notes-container article {
    width: 100%;
    display:grid;
    grid-template-columns: 1fr 2fr;
    gap: 20px;
}

.notes-container .img-container {
    position: relative;
    width: 100%;
    height: 120px;
    overflow: hidden;
}



.notes-container .img-container img {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.notes-container .book-name {
    font-size: 17px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    overflow: hidden;
    text-transform: capitalize;
}














.ads-container , .square-ads  {
    background-color: var(--light-white);
    margin: 10px 0;
}




















































/* RESPONSIVE DESIGN TABLET  */


/* ============================  RESPONSIVE DESIGN ==================================*/
@media (min-width:768px) and (max-width:992px) { 
    main {
        padding: 0 50px 10px;
        display:grid;
        grid-template-columns: 1fr ;
        margin-top: 120px;
    }

    main .main-content-area {
        grid-template-columns: 1fr 1fr;
    }
    .main-content-area .left-section {
        width: 100%;
        display: grid;
        grid-template-columns: 1fr !important;
    }

    main .random-books-section {
        grid-template-columns: 1fr !important;
    }

    .random-books-section .left-section {
        grid-column: 0;
    }

    .top-right-featured {
        order :1;
    }

    .category-header {
        padding: 0 10px;
        width: calc(100% - 5px);
        margin-left: 5px;
    }
}




@media only screen and (max-width:768px) {
    html {
        max-width: 100%;
        margin: 0;
        padding: 0;
        overflow-x: hidden !important;
    }
    body {
        overflow-x: hidden !important;
        padding-bottom: 80px;
    }

    .mobile-hide {
        display: none !important;
    }

    .mobile-d-flex {
        display: flex !important;
    }

    

    main {
        width: 100%;
        grid-template-columns: 1fr;
        gap: 0;
        padding: 0;
        margin-top: 100px;
    }

    main section {
        gap:  0;
    }

    main .main-content-area {
        grid-template-columns: 1fr;
    }


    .main-content-area .left-section {
        width: 100%;
        display: grid;
        grid-template-columns: 1fr ;
    }

    .top-right-featured {
        padding: 0 20px;
        margin: 0;
        gap: 0 !important;
        order: 1;
    }

    .top-left-featured {
        order: 2;
    }

    



    












    


   

   

    .five-single-category-names li a {
        padding: 5px 5px 10px;
        margin-right: 5px;
    }

    .five-single-category-names li {
        font-weight: 490;
        transform: skew(-1deg);
    }
    .five-single-category-names li a:hover {
        font-weight: 520;
        border-left: 0;
        transform: skew(0deg);
    }




    .top-right-featured .img-container {
        width: 100%;
        height: 200px;
        display: grid;
        overflow: hidden;
        grid-row-start: 1;
    }
    .top-right-featured .featured-short-meta {
        display: grid;
        grid-template-columns: 1fr;
    }
    .top-right-featured .featured-short-meta h1 {
        line-height: 1.3;
    }
    .top-right-featured .title-large {
        font-size: 20px;
        margin-right: 5px;
    }

    .notes-container article {
        gap: 10px;
    }


    main .random-books-section {
        width: 100%;
        display: grid;
        gap: 20px;
        grid-template-columns: 1fr;
        background-color: var(--white);
    }

    .random-books-section .left-section {
        padding: 5px 5px 5px 0;
        row-gap: 12px;
    }
    .random-books-section .left-section article {
        gap: 10px;
    }

    .random-books-section .img-container {
        width: 170px;
        height: 120px;
    }

    .horizontal .column {
        width: calc(100% - 190px);
        text-align: left !important;
        align-items: start;
        justify-self: flex-start !important;
    }

    .random-books-section .horizontal .book-name {
        -webkit-line-clamp: 4;
        font-size: 18px !important;
        font-weight: 550;
    }

    .random-books-section .book-short-description {
        display: none;
    }

    .random-books-section .book-stats {
        margin-right: auto;
        justify-self: flex-start !important;
        align-self: flex-start;
        flex-direction: column;
        column-gap: 0;
    }


    .published-date-time {
        margin-right: auto;
        overflow: hidden;
        white-space: nowrap;
    }

    .random-books-section .book-stats .book-views {
        margin-right: auto;
        /* display: none; */
    }


    .notes-container .book-name {
        -webkit-line-clamp: 4;
        font-size: 16px !important;
    }










    .sticky-header {
        position: static;
    }

    .category-header {
        width: 100%;
        margin-right: 0;
    }




   


}



/* RESPONSIVE DESIGN MOBILE  */

@media all and (max-width:600px) {

    .mobile-hide {
        display: none !important;
    }

    .mobile-d-flex {
        display: flex !important;
        align-items: center;
    }

    


    main {
        padding: 0 7px;
        margin-top: 70px;
        background-color: var(--white);
        color: var(--black);
    }

    main .main-content-area {
        grid-template-columns: 1fr !important;
    }

    .top-left-featured {
        order: 2;
        padding: 0 5px 0 0;
    }


    .top-right-featured {
        padding: 0 5px 0 0;
        margin: 0;
        gap: 0 !important;
        grid-template-rows: 1fr;
        order: 1;
    }

    main .main-content-area , .top-right-featured .featured-short-meta , .top-left-featured .square-featured-box article {
        color: var(--black) !important;
    }

    .featured-short-meta .published-date-difference , .published-date-author time, .top-right-featured .published-date-author , .top-right-featured .featured-short-description{
        color: var(--grey) !important;
    }

    .published-date-author .author-name {
        color: var(--blue);
    }

    .random-books-section .img-container {
        width: 150px;
        height: 125px;
    }

    .horizontal .column {
        width: calc(100% - 160px);
    }

}